YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
1answer
8 views

Error: Package: libmodule-10.0.0.1826-b10_0_0_1826.x86_64 (installed)

I am getting the following messages when running yum update on my RHEL 6 server. I have tried searching on the libmodule-10.0.0.1826-b10_0_0_1826.x86_64 package and dependencies but can't find a ...
0
votes
1answer
2k views

RHEL 6.6: [Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 403 Forbidden”

First of all, it's the first time I setup RHEL machines, I'm more used to Debian. We're installing many machine at the same time. We've upgraded from RHEL 6.3 to RHEL 6.6 and we're now trying to ...
0
votes
2answers
22 views

Can I use Oracle's yum repository with RHEL and then go back to Redhat's yum?

Let me explain my problem :) I have a VM provisioned by my company's datacenter, RHEL 5.11: $ lsb_release -a Distributor ID: RedHatEnterpriseServer Description: Red Hat Enterprise Linux Server ...
0
votes
0answers
11 views

Installing Redis on CentOS 6.6 final - no package available

I've added the "EPEL" repo: Loaded plugins: changelog, downloadonly, fastestmirror, presto Loading mirror speeds from cached hostfile * elrepo: repos.mia.lax-noc.com * epel: epel.gtdinternet.com * ...
0
votes
1answer
999 views

Installing mysql-devel to match MySQL version

I'm running MySQL 5.1.52 on CentOS 4.6 and I'm trying to install mysql-devel to match my MySQL version. If I do yum install mysql-devel it wants to upgrade MySQL to 5.1.58, yet if I do yum search ...
0
votes
1answer
169 views

Broke Fedora after accidentally cancelled yum update

tl;dr: I ran yum update -y, then halfway a huge update (1.1GB) accidentally hit ctrl+C mid-way. This broke everything. I tried: 500 yum check all 501 package-cleanup --problems 502 ...
21
votes
3answers
40k views

How do I upgrade to the latest PHP version in CentOS with yum?

I found some blog posts about this, but it's rather lack of descriptions on possible side effects. I could really use some detailed on these steps: How to add a repo that provides PHP 5.4 into yum ...
1
vote
0answers
8 views

We have multiple repos having same package. IF we do yum install package, install from stable repo and yum install package-version install other repo

We've got multiple custom-added yum repositories (on CentOS 6), We have a package that is available on multiple repositories. It's named the exact same thing on two different repositories, call them ...
1
vote
1answer
38 views

Install a newer version of Git on CentOS 7

I like to enable Git "Push to Deploy" on my CentOS 7 server. Currently I only can get Git 1.8.3.1 via yum. I need a newer version. Do I have to build it from source or is there any repo I can use? I ...
0
votes
0answers
12 views

Install libcanberra-gtk3.x86_64 package in RHEL6 running gnome2 [on hold]

I am running RHEL6 on my workstation. I keep getting this error when I open gvim: Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file ...
1
vote
1answer
927 views

Trying to install php-devel on AWS EC2 server to compile a PHP extension, but getting errors “httpd24 conflicts with httpd-2.2.27-1.3.amzn1.x86_64”

I'm trying to install php-devel on an AWS EC2 server so I can compile a PHP extension. But I get an conflits error. --> Processing Conflict: httpd24-2.4.10-1.59.amzn1.x86_64 conflicts httpd < ...
1
vote
1answer
25 views

yum update doesn't have any update?

Recently, I clean up the yum cache, then I found that I don't have any update when I do yum update. I am not sure whether there is actually no update or something is wrong. yum clean all rm -rf ...
0
votes
1answer
25 views

RHEL6 installed wrong version of rpmforge

I installed the wrong version of rpmforge for el7. Then I ran an update which installed this package on my system python-crypto-2.6.1-1.el7.rf.x86_64 Notice the el7 but I am on rhel6. I then ...
1
vote
1answer
20 views

yum list available showing packages, but yum update not installing those packages…These rpms are not present

# yum list available Available Packages python-deltarpm.x86_64 3.5-0.5.20090913git.el6 ...
0
votes
0answers
5 views

Connect a redhat server that is under a vpn to internet

I have to configure the environments of like 10 redhat servers(dbs, stash, test, dev, production), but those servers are under a VPN and they have no internet access, I can connect my company mac to ...
0
votes
1answer
1k views

PHP dependancy issue after upgrading to PHP 5.6.5

I'm trying to install Laravel, this required me to upgrade to php 5.6.5. This was a success and php is running fine, but im having 2 dependency issues when i try to install other packages that laravel ...
0
votes
0answers
21 views

install boost 1.51 package on centos 7

I'm trying to compile a program which requires boost 1.51, but the only available boost package via yum on my system is boost 1.53. I would prefer to install boost using the system's package manager, ...
2
votes
2answers
1k views

Yum repo priorities and conflicts

On my CentOS 6.4 server, I am running MySQL 5.5.33 that I installed from the remi repository. I decided to upgrade MySQL to 5.6.x via MySQL's own yum repositories: ...
1
vote
1answer
19 views

How do I find out what the latest version of a package is for a given version of RHEL?

When working with for instance Ubuntu, I'm used to being able to look up which version of a given package is available for a given version of Ubuntu Server on launchpad.net/ubuntu. Is there a similar ...
1
vote
0answers
1k views

“yum clean” hangs - what to try next?

I run a number of CentOS servers. I was recently doing the occasional yum update but this failed on a handful of the servers. On most I have been able to move forward by doing: # yum clean all # rm ...
0
votes
1answer
4k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
2
votes
2answers
3k views

On CentOS how do I get boost header files installed?

What CentOS 6 package name do I need to install boost header files: yum install boost doesn't seem to work. Is there a special compiler directive I need to use to point to the include files? Or is ...
3
votes
1answer
9k views

How to install libboost-devel on CentOS 6.3

How to install libboost-devel on CentOS 6.3? I have tried the following command: yum install libboost-devel Output: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * ...
1
vote
1answer
1k views

Yum install error (mysql-devel) depsolve

I get the following error on yum install mysql-devel. Can anyone help? I dont have this in my /etc/yum.conf exclude list. --> Finished Dependency Resolution mysql-server-5.0.45-7.el5.x86_64 from ...
0
votes
1answer
3k views

Elastix Upgrade fails CentOS yum missing dependency with libwat, libgsmat, and libss7

I upgraded a year old vanilla Elastix box using yum update and yum upgrade. Almost 400 packages updated but a few of them failed, including asterisk. At present the switchboard is working but I can't ...
3
votes
1answer
60 views

Automatically remove a %preun broken RPM?

We have an error in the %preun script of an RPM we distributed in the past. This has been corrected, but, now, upgrading to the newer version is failing because the previous version is not ...
0
votes
3answers
3k views

How to install MariaDB rpms in CentOS 6.4 using rpm (not yum cmd) + handling mysql-libs conflicts

I need to script the install of MariaDB using the rpm command in CentOS 6.4. I can't use yum since it's going to be an offline install so there's no access to the repository. The only MySQL package ...
25
votes
3answers
31k views

EPEL Repo for CentOS 6 causing error

I've got a VM running CentOS 6 (64bit) and I'm attempting to add the EPEL repo like usual to install various packages as I do quite regularly. Today, I'm experiencing some strange errors yet I'm ...
0
votes
0answers
41 views

libgcc multilib version - unable to install any package with yum

System: Red Hat 6.5 I have a problem with libgcc, which is apparently installed in 2 different versions on my machine. Anyway, when I try to install literally anything, I am unable to do so, because ...
1
vote
1answer
1k views

Yum repo basic auth not working

So we've got this yum repo that is protected via basic auth. My yum.repo definition looks like this [custom-repo] name=Releases Repository ...
16
votes
5answers
28k views

Upgrade Subversion 1.6 to 1.7 on CentOS? (can't find yum repository)

I want to upgrade my SVN Server from 1.6 to 1.7. Unfortunately I can't find anything on the internet how to do this with yum. I have checked rpmforge-extras but it has only svn 1.6 and not 1.7 I ...
0
votes
1answer
103 views

Installing compat-libstdc++-33 on RHEL 7

As part of an Oracle install I need to install the compat-libstdc++-33-3.2.3 (x86_64) package. However no matter what variant of the package I try to install with yum, it can't be found ...
5
votes
3answers
6k views

How to install package with yum without updating?

I want to install some packages from repository but always when I'm trying to yum install packagename yum updates db: Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit Determining ...
0
votes
0answers
53 views

Yum dependency issue with newer release version

I'm having an issue installing some software with yum, it shows a dependency issue even though all the packages are installed. I'm trying to install the redhead-lsb package. I get the following ...
-1
votes
1answer
33 views

yum does not contain the package: libcurl [closed]

I am in Redhat 5 and the following packages are not found yum -y install libcurl libcurl-devel Loaded plugins: security Setting up Install Process No package libcurl available. No package ...
22
votes
5answers
94k views

How do I install an rpm that complains about rpmlib(FileDigests) <= 4.6.0-1?

Im trying to install an rpm file on CentOS 5 and Im not sure how to resolve this issues it brings up: $ rpm --install epel-release-6-5.noarch.rpm warning: epel-release-6-5.noarch.rpm: Header V3 ...
1
vote
0answers
56 views

CentOS 5.11: yum installs, but packages remain missing

I'm trying to figure out a very strange problem with yum on a fairly old CentOS 5.11 VPS using DirectAdmin. Executing the following command suggests the telnet package is installed: # yum install ...
18
votes
7answers
70k views

What is the value of JAVA_HOME for CentOS?

I have install java through yum on CentOS, however another java programme needs to know what the JAVA_HOME environmental variable is. I know all about setting environmental variables, but what do I ...
2
votes
1answer
52 views

What are the consequences of installing some el6 packages on Centos 7?

I'm responsible for administration of a Centos 7 box at my contract job. I'm really more of a developer and not much of a Linux admin, so please bear with me and maybe try to explain this to me like ...
0
votes
2answers
207 views

Centos 6.6: [yum install *anything*] fails with [protected multilib error]

I have some problems with installing or upgrading anything on Centos 6.6. Problem is pretty much summed up in the topic name. When i try: yum install gcc-c++ I get: ... Error: Multilib version ...
1
vote
1answer
176 views

yum repo responding with [Errno 14] HTTP Error 403 - Forbidden

I am trying to set up a YUM repository containing some RPM packages from our nightly Jenkins build. The YUM repo resides on the Jenkins server in a repository folder [path to ...
2
votes
2answers
133 views

Parametric ansible command based on facts, how to do it?

I am updating some of my ansible playbooks to run on the latest version of Fedora, that now uses dnf by default. Since most of my playbooks should run on CentOS as well, I would like my script to run ...
3
votes
1answer
89 views

Fedora 21: Cannot Ping or Curl, but can Access Internet

We have an automatic proxy server configuration setup, and I can use a web browser but ping/curl are failing; it looks like a DNS resolution problem. When I do: URLGRABBER_DEBUG=1 yum check-update ...
0
votes
1answer
505 views

Installing SOX on EC2 server?

I could use some help getting SOX installed on an EC2 server. My EC2 server is completely "vanilla" and is using the Amazon Linux AMI (3.4.37-40.44.amzn1.x86_64). Most of the SOX installation ...
0
votes
1answer
37 views

installing teradata bteq rpm on fedora 21 - missing pkg libstdc++.so.6

I'm trying to install Teradata's bteq rpm on Fedora 12. I'm getting a failed dependency message here: [foobar@localhost bteq]$ sudo rpm -Uhv bteq-14.00.00.18-1.i386.rpm error: Failed dependencies: ...
1
vote
0answers
68 views

RHEL yum broken

I have RHEL which is deployed from Amazon AMI, and yum is somehow broken. I must use that AMI because of corporate software installed on it. There is no way to rollback to previous state. This is the ...
0
votes
1answer
97 views

yum dependency conflict in ImageMagick update

I am running a Lamp server on CentOS release 6.6 (Final) with php5.5: $ php -v PHP 5.5.17 (cli) (built: Sep 20 2014 17:12:00) Copyright (c) 1997-2014 The PHP Group Zend Engine v2.5.0, Copyright (c) ...
0
votes
1answer
185 views

Error installing php-devel 5.5 CentOS 6

I am trying to run pecl install couchbase but am having trouble with php-devel and its dependencies. When I try to run yum --enablerepo=remi-php55 install php-devel I get the following error. My ...
3
votes
2answers
6k views

How to install java-1.7.0-openjdk-devel on RHEL Server 6.3?

I have need of installing a Java 7 development environment on a RHEL 6.3 (system details are below). Following the official OpenJDK directions I tried yum install java-1.7.0-openjdk-devel (as root). ...
2
votes
2answers
3k views

How to add language support on CentOS 7 (on Docker)?

I'm trying to set locale to Japanese, but CentOS image on docker doesn't include language support. bash-4.2# yum groupinstall -y "Japanese Support" Loaded plugins: fastestmirror Loading mirror speeds ...